version: '3'
services:
  pigallery2:
    image: bpatrik/pigallery2:1.8.5
    container_name: pigallery2
    environment:
      - NODE_ENV=debug #production # set to 'debug' for full debug logging
    volumes:
      - "./config:/app/data/config"
      - "./db-data:/app/data/db"
      - "/mnt/Teka2/photos:/app/data/images/photos:ro"
      - "/mnt/Teka1/nextcloud/data/maksim/files/Автозагрузка/Camera:/app/data/images/autoload:ro"
      - "./tmp:/app/data/tmp"
    ports:
      - 7780:80
    restart: always
